summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tests/libptxdisttest.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/libptxdisttest.sh b/tests/libptxdisttest.sh
index c14d6a756..783a542c4 100644
--- a/tests/libptxdisttest.sh
+++ b/tests/libptxdisttest.sh
@@ -123,9 +123,11 @@ test_begin() {
}
test_end() {
+ local ret="$?"
reportwrite time end
echo "</test>" >> "$REPORTFILE"
if [ "$exit_now" = "1" ]; then exit 1; fi
+ return "${ret}"
}
checking() {